using Tekla.Structures;
using Tekla.Structures.Model;
using Tekla.Structures.Drawing;
using Tekla.Structures.Geometry3d;
using TS = Tekla.Structures;
using System.Collections;
using TSM = Tekla.Structures.Model;
using TSD = Tekla.Structures.Drawing;
using TSG = Tekla.Structures.Geometry3d;
using System.Windows.Forms;

namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
        {
            try
            {
                Model MyModel = new Model();
                if (MyModel.GetConnectionStatus() &&
                    MyModel.GetInfo().ModelPath != string.Empty)
                {
                    TSG.Point EPoint = null;
                    TSG.Point SPoint = null;
                   ModelObjectEnumerator MyEnum = (new TSM.UI.ModelObjectSelector()).GetSelectedObjects();
                    while (MyEnum.MoveNext())
                    {
                        Beam MyBeam = MyEnum.Current as Beam;

                        if (MyBeam != null)
                        {
                            SPoint = MyBeam.StartPoint;
                            EPoint = MyBeam.EndPoint;
                            MyBeam.StartPoint = EPoint;
                            MyBeam.EndPoint = SPoint;
                            MyBeam.Modify();
                        } 
                    } 
                    MyModel.CommitChanges();
                } 
                else
                {
                    MessageBox.Show("   Tekla Structures.",
                        " ", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            } 

            catch { }

        } 

    }

}